#!/bin/sh -e
# need bzr and postfix for the setup below
-DEBIAN_FRONTEND=noninteractive apt-get -y install --no-install-recommends postfix openssh-server bzr python-paramiko apt-cacher-ng
+DEBIAN_FRONTEND=noninteractive apt-get -y install --no-install-recommends postfix openssh-server bzr python-paramiko apt-cacher-ng eatmydata
# root's ssh stuff
if [ ! -d /root/.ssh ] && [ -d /home/martin/.ssh ]; then
# remove packages that we do not need
killall apt-get || true # cronjob goo
-apt-get purge -y --auto-remove hplip hplip-data printer-driver-hpcups brltty bluez-cups gnome-accessibility-themes gnome-orca onboard thunderbird deja-dup|| true
+apt-get purge -y --auto-remove hplip hplip-data printer-driver-hpcups brltty bluez-cups gnome-accessibility-themes gnome-orca onboard thunderbird deja-dup || true
# install packages from network sources
killall apt-get || true
apt-get update
-DEBIAN_FRONTEND=noninteractive apt-get install --no-install-recommends -y --force-yes vim patchutils offlineimap diffstat gtimelog devhelp python3-doc manpages-dev weechat weechat-plugins weechat-scripts listadmin quilt mutt editmoin lintian ubuntu-dev-tools dput easytag texlive-lang-german texlive-latex-extra powertop qemu-kvm qemu-utils bzr-buildpackage git build-essential fakeroot devscripts libglib2.0-doc libgtk-3-doc git-buildpackage d-feet wmctrl libnotify-bin svn-buildpackage pastebinit lptools openvpn pdfjam sbuild schroot exiv2 phablet-tools gstreamer1.0-plugins-ugly flashplugin-installer valgrind calibre autopkgtest
-apt-get install -y lxc
+DEBIAN_FRONTEND=noninteractive eatmydata apt-get install --no-install-recommends -y --force-yes vim patchutils offlineimap diffstat gtimelog devhelp python3-doc manpages-dev weechat weechat-plugins weechat-scripts python-notify2 listadmin quilt mutt editmoin lintian ubuntu-dev-tools dput easytag texlive-lang-german texlive-latex-extra powertop qemu-kvm qemu-utils bzr-buildpackage git build-essential fakeroot devscripts libglib2.0-doc libgtk-3-doc git-buildpackage d-feet wmctrl libnotify-bin svn-buildpackage pastebinit lptools openvpn pdfjam sbuild schroot exiv2 gstreamer1.0-plugins-ugly gstreamer1.0-libav flashplugin-installer valgrind calibre autopkgtest
+eatmydata apt-get install -y lxc pandoc lmodern texlive-fonts-recommended pep8 pyflakes pssh network-manager-openvpn-gnome
# have schroot use tmpfs
rmdir /var/lib/schroot/unpack /var/lib/schroot/union/overlay/
echo "Setting up users"
adduser martin sbuild
if ! getent passwd joe > /dev/null; then
- adduser --gecos "Joe" joe
+ adduser --gecos "Joe" --encrypt-home joe
adduser joe audio
adduser joe video
fi